//begin desabilitar teclas 
document.onkeydown = function(){  
//116->f5 
//122->f11 
if (window.event && (window.event.keyCode == 122 || window.event.keyCode == 116)){ 
window.event.keyCode = 505;  
} 

if (window.event.keyCode == 505){  
return false;  
} 

if (window.event && (window.event.keyCode == 8)) 
{ 
valor = document.activeElement.value; 
if (valor==undefined) { return false; } //Evita Back en página. 
else 
{ 
if (document.activeElement.getAttribute('type')=='select-one') 
    { return false; } //Evita Back en select. 
if (document.activeElement.getAttribute('type')=='button') 
    { return false; } //Evita Back en button. 
if (document.activeElement.getAttribute('type')=='radio') 
    { return false; } //Evita Back en radio. 
if (document.activeElement.getAttribute('type')=='checkbox') 
    { return false; } //Evita Back en checkbox. 
if (document.activeElement.getAttribute('type')=='file') 
    { return false; } //Evita Back en file. 
if (document.activeElement.getAttribute('type')=='reset') 
    { return false; } //Evita Back en reset. 
if (document.activeElement.getAttribute('type')=='submit') 
    { return false; } //Evita Back en submit. 
else //Text, textarea o password 
{ 
    if (document.activeElement.value.length==0) 
        { return false; } //No realiza el backspace(largo igual a 0). 
    else 
        { document.activeElement.value.keyCode = 8; } //Realiza el backspace. 
} 
} 
} 
} 
//end desabilitar teclas 




$(document).ready(function(){
	$('#navigationMenu li .normalMenu').each(function(){
		$(this).before($(this).clone().removeClass().addClass('hoverMenu'));
	});
	$('#navigationMenu li').hover(function(){
		$(this).find('.hoverMenu').stop().animate({marginTop:'0px'},200);
	},
	function(){
		$(this).find('.hoverMenu').stop().animate({marginTop:'-25px'},200);
	});
});
	function cerrarMenu(){
		window.location='cerrar.jsp';
	}

function DiferenciaFechas (p_fecha1,p_fecha2) {
   //Obtiene dia, mes y año
   var fecha1 = new fecha( p_fecha1 )   
   var fecha2 = new fecha( p_fecha2 )
   
   //Obtiene objetos Date
   var miFecha1 = new Date( fecha1.anio, fecha1.mes, fecha1.dia )
   var miFecha2 = new Date( fecha2.anio, fecha2.mes, fecha2.dia )

   //Resta fechas y redondea
   var diferencia = miFecha1.getTime() - miFecha2.getTime()
   var dias = Math.floor(diferencia / (1000 * 60 * 60 * 24))
   var segundos = Math.floor(diferencia / 1000)
   //alert ('La diferencia es de ' + dias + ' dias,\no ' + segundos + ' segundos.');
   return dias;
}
function fecha( cadena ) {

   //Separador para la introduccion de las fechas
   var separador = "/"

   //Separa por dia, mes y año
   if ( cadena.indexOf( separador ) != -1 ) {
        var posi1 = 0
        var posi2 = cadena.indexOf( separador, posi1 + 1 )
        var posi3 = cadena.indexOf( separador, posi2 + 1 )
        this.dia = cadena.substring( posi1, posi2 )
        this.mes = cadena.substring( posi2 + 1, posi3 )
        this.anio = cadena.substring( posi3 + 1, cadena.length )
   } else {
        this.dia = 0
        this.mes = 0
        this.anio = 0   
   }
}

function DiferenciaHoras(p_hora1,p_hora2){
	var hora1=new tiempo(p_hora1)
	var hora2=new tiempo(p_hora2)
	
	if(hora1.hora>hora2.hora){
		return 1;
	}else if(hora1.hora==hora2.hora){
		if(hora1.minuto>hora2.minuto){
			return 1;
		}else{
			return 0;
		}
	}else if(hora1.hora<hora2.hora){
		return 0;
	}	
}
function tiempo( cadena ){
	var n=cadena.split(" ");
	var parte=n[0].split(":");
	if(n[1]=='AM'){
		this.hora = parte[0];
		this.minuto= parte[1];
	}else if(n[1]=='PM'){
		if(parte[0]==12){
			this.hora=parte[0];
		}else{
			var par=eval(parte[0])+12;
			if(par>=24){
				this.hora=0;
			}else{
				this.hora=par;
			}
			this.minuto=parte[1];
		}
	}
}

function calcular_edad(fecha_nacimiento){
	var fecha1 = new fecha( fecha_nacimiento ) ;
	
	var dia = fecha1.dia;
	var mes = fecha1.mes;
	var ano = fecha1.anio;
	
	fecha_hoy = new Date();
	ahora_ano = fecha_hoy.getYear();
	ahora_mes = fecha_hoy.getMonth();
	ahora_dia = fecha_hoy.getDate();
	
	edad = (ahora_ano + 1900) - ano;
		
	if ( ahora_mes < (mes - 1)){
	  edad--;
	}
	if (((mes - 1) == ahora_mes) && (ahora_dia < dia)){
	  edad--;
	}
	if (edad > 1900){
		edad -= 1900;
	}
	return edad;
}


function validarFecha(fecha) {
	try{
	var fecha = fecha.split("/");			
	var dia = fecha[0];
	var mes = fecha[1];
	var ano = fecha[2];			
	var estado = true;	
	if ((dia.length == 2) && (mes.length == 2) && (ano.length == 4)) {		
		switch (parseInt(mes)) {
			case 1:dmax = 31;break;
			case 2: if (ano % 4 == 0) dmax = 29;
			 else dmax = 28;
			 break;
			case 3:dmax = 31;break;
			case 4:dmax = 30;break;
			case 5:dmax = 31;break;
			case 6:dmax = 30;break;
			case 7:dmax = 31;break;
			case 8:dmax = 31;break;
			case 9:dmax = 30;break;
			case 10:dmax = 31;break;
			case 11:dmax = 30;break; 
			case 12:dmax = 31;break;
		}
		dmax!=""?dmax:dmax=-1;
			
		if ((dia >= 1) && (dia <= dmax) && (mes >= 1) && (mes <= 12)) {
			for (var i = 0; i < fecha[0].length; i++) {
				diaC = fecha[0].charAt(i).charCodeAt(0);
				(!((diaC > 47) && (diaC < 58)))?estado = false:'';
				mesC = fecha[1].charAt(i).charCodeAt(0);
				(!((mesC > 47) && (mesC < 58)))?estado = false:'';
			}
		}
			
		for (var i = 0; i < fecha[2].length; i++) {
			anoC = fecha[2].charAt(i).charCodeAt(0);
			(!((anoC > 47) && (anoC < 58)))?estado = false:'';
		}
	}else estado = false;			
		return estado;
	}catch(err){
		return false;
	}
}

function validaFecha2(fecha){
	var fechaArr = fecha.split('/');
	var aho = fechaArr[2];
	var mes = fechaArr[1];
	var dia = fechaArr[0];
	
	var plantilla = new Date(aho, mes - 1, dia);//mes empieza de cero Enero = 0
	if(!plantilla || plantilla.getFullYear() == aho && plantilla.getMonth() == mes -1 && plantilla.getDate() == dia){
 		return true;
 	}else{
		return false;
 	}
}

function isDate(dateStr) {

var datePat = /^(\d{1,2})(\/|-)(\d{1,2})(\/|-)(\d{4})$/;
var matchArray = dateStr.match(datePat); // is the format ok?

if (matchArray == null) {
return false;
}

month = matchArray[3]; // p@rse date into variables
day = matchArray[1];
year = matchArray[5];

if (month < 1 || month > 12) { // check month range
return false;
}

if (day < 1 || day > 31) {
return false;
}

if ((month==4 || month==6 || month==9 || month==11) && day==31) {
return false;
}

if (month == 2) { // check for february 29th
var isleap = (year % 4 == 0 && (year % 100 != 0 || year % 400 == 0));
if (day > 29 || (day==29 && !isleap)) {
return false;
}
}
return true; // date is valid
}

function conMayusculas(field) {
	field.value = field.value.toUpperCase()
}
function conMinusculas(field) {
	field.value = field.value.toLowerCase()
}

function validaMesesAnio(m1,a1,m2,a2){
	if(a1>a2){
		return false;
	}else if(a1==a2){
		if(m1>m2){
			return false;
		}else{
			return true;
		}
	}else if(a1<a2){
		return true;
	}
}


function creacorreo(text){
      var text = text.toLowerCase(); // a minusculas
      text = text.replace(/[áàäâå]/, 'a');
      text = text.replace(/[éèëê]/, 'e');
      text = text.replace(/[íìïî]/, 'i');
      text = text.replace(/[óòöô]/, 'o');
      text = text.replace(/[úùüû]/, 'u');
      text = text.replace(/[ýÿ]/, 'y');
      text = text.replace(/[ñ]/, 'n');
      text = text.replace(/['"]/, '');
      return text;
   }
  function createCookie(name,value,days) {
	if (days) {
		var date = new Date();
		date.setTime(date.getTime()+(days*24*60*60*1000));
		var expires = "; expires="+date.toGMTString();
	}
	else var expires = "";
	document.cookie = name+"="+value+expires+"; path=/";
}

function readCookie(name) {
	var nameEQ = name + "=";
	var ca = document.cookie.split(';');
	for(var i=0;i < ca.length;i++) {
		var c = ca[i];
		while (c.charAt(0)==' ') c = c.substring(1,c.length);
		if (c.indexOf(nameEQ) == 0) return c.substring(nameEQ.length,c.length);
	}
	return null;
}

function eraseCookie(name) {
	createCookie(name,"",-1);
}
function password(length, special) {
  var iteration = 0;
  var password = "";
  var randomNumber;
  if(special == undefined){
      var special = false;
  }
  while(iteration < length){
    randomNumber = (Math.floor((Math.random() * 100)) % 94) + 33;
    if(!special){
      if ((randomNumber >=33) && (randomNumber <=47)) { continue; }
      if ((randomNumber >=58) && (randomNumber <=64)) { continue; }
      if ((randomNumber >=91) && (randomNumber <=96)) { continue; }
      if ((randomNumber >=123) && (randomNumber <=126)) { continue; }
    }
    iteration++;
    password += String.fromCharCode(randomNumber).toLowerCase();
  }
  return password;
}

function copyToClipboard(text)
{
    if (window.clipboardData) // Internet Explorer
    {  
        window.clipboardData.setData("Text", text);
    }
}
function accionpormenu(registrar,editar,eliminar,reportar,accion){
	var p_registrar=registrar;
	var p_editar=editar;
	var p_eliminar=eliminar;
	var p_reportar=reportar;
	var p_accion=accion;
	$.ajax({
	  type:'POST',
	  url:'ServletUsuario?accion=sessionPermisosUsuario',
	  data:'txt_registrar='+p_registrar+'&txt_modificar='+p_editar+'&txt_eliminar='+p_eliminar+'&txt_reportar='+p_reportar,
	  success:function(resultado){ 
	  },complete: function(){
		  location.href=p_accion;
	  }
	});
}

function muestrafecha(){ 
	fecha = new Date() 
	mes = fecha.getMonth() 
	diaMes = ("0" + fecha.getDate() ).slice (-2);
	diaSemana = fecha.getDay() 
	anio = fecha.getFullYear() 
	dias = new Array('Domingo','Lunes','Martes','Miercoles','Jueves','Viernes','Sabado') 
	meses = new Array('Enero','Febrero','Marzo','Abril','Mayo','Junio','Julio','Agosto','Septiembre','Octubre','Noviembre','Diciembre') 
	document.write(dias[diaSemana] + ", " + diaMes + " de " + meses[mes] + " de " + anio+" ") 
} 
function muestrafechaimpresion(){ 
	fecha = new Date() 
	mes = fecha.getMonth() 
	diaMes = ("0" + fecha.getDate() ).slice (-2);
	diaSemana = fecha.getDay() 
	anio = fecha.getFullYear() 
	dias = new Array('Domingo','Lunes','Martes','Miercoles','Jueves','Viernes','Sabado') 
	meses = new Array('Enero','Febrero','Marzo','Abril','Mayo','Junio','Julio','Agosto','Septiembre','Octubre','Noviembre','Diciembre') 
	var resultado = dias[diaSemana] + ", " + diaMes + " de " + meses[mes] + " de " + anio;
	return resultado;
} 
function muestrahora(){ 
	var fecha = new Date() 
	var hora = fecha.getHours() 
	var minuto = fecha.getMinutes() 
	var segundo = fecha.getSeconds() 
	if (hora < 10) {hora = "0" + hora} 
	if (minuto < 10) {minuto = "0" + minuto} 
	if (segundo < 10) {segundo = "0" + segundo} 
	var horita = hora + ":" + minuto + ":" + segundo 
	document.write(" "+horita+" hrs.");
}
function muestrahoraimpresion(){ 
	var fecha = new Date() 
	var hora = fecha.getHours() 
	var minuto = fecha.getMinutes() 
	var segundo = fecha.getSeconds() 
	if (hora < 10) {hora = "0" + hora} 
	if (minuto < 10) {minuto = "0" + minuto} 
	if (segundo < 10) {segundo = "0" + segundo} 
	var horita = hora + ":" + minuto + ":" + segundo +" hrs.";
	return horita;
}
function redondear(numero,decimales){
  	var flotante = parseFloat(numero);
	var resultado = Math.round(flotante*Math.pow(10,decimales))/Math.pow(10,decimales);
	var resul=resultado.toFixed(decimales);
	return resul;
}

function manual(param){
	window.open("manuales/manual.jsp?param="+param+"","Manual","width=700,height=800,toolbar=0,location=0,directories=0,status=0,menubar=0,scrollbars=0,resizable=0");
}